remove --insecure flag from agunua commands

No longer required, since version 1.5.
This commit is contained in:
nervuri 2021-09-24 09:35:45 +00:00
parent 6e7ffb76f5
commit c46eb8b3d0
Signed by: nervuri
GPG Key ID: C4769EEA7BA61672
1 changed files with 2 additions and 4 deletions

View File

@ -14,16 +14,14 @@ cd "$(dirname "$0")" || exit
# If Agunua is installed, use it. # If Agunua is installed, use it.
if command -v agunua >/dev/null; then if command -v agunua >/dev/null; then
# Using Agunua is more secure, because it does certificate pinning. # Using Agunua is more secure, because it does certificate pinning.
# The --insecure option just makes it accept certificates that are hosts1=$(agunua --binary --maximum-time 20 \
# not signed by a (known) CA.
hosts1=$(agunua --insecure --binary --maximum-time 20 \
gemini://geminispace.info/known-hosts 2>/dev/null \ gemini://geminispace.info/known-hosts 2>/dev/null \
| grep "gemini://" | cut -d ' ' -f 3) | grep "gemini://" | cut -d ' ' -f 3)
if [ -z "$hosts1" ]; then if [ -z "$hosts1" ]; then
>&2 echo "geminispace.info/known-hosts download failed." >&2 echo "geminispace.info/known-hosts download failed."
exit 1 exit 1
fi fi
hosts2=$(agunua --insecure --binary --maximum-time 20 \ hosts2=$(agunua --binary --maximum-time 20 \
gemini://gemini.bortzmeyer.org/software/lupa/lupa-capsules.txt 2>/dev/null) gemini://gemini.bortzmeyer.org/software/lupa/lupa-capsules.txt 2>/dev/null)
if [ -z "$hosts2" ]; then if [ -z "$hosts2" ]; then
>&2 echo "lupa-capsules.txt download failed." >&2 echo "lupa-capsules.txt download failed."